OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::HandRenderer Class Referenceabstract

`#include <handRenderer.hpp>`

Inherited by op::HandCpuRenderer, and op::HandGpuRenderer.

## Public Member Functions
virtual | ~HandRenderer ()
virtual void | initializationOnThread ()
void | renderHand (Array< float > &outputData, const std::array< Array< float >, 2 > &handKeypoints, const float scaleInputToOutput)

## Constructor & Destructor Documentation

virtual op::HandRenderer::~HandRenderer | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void op::HandRenderer::initializationOnThread | ( |  | ) |
| inline virtual

Reimplemented in op::HandGpuRenderer.

void op::HandRenderer::renderHand | ( | Array< float > & | outputData,
|  | const std::array< Array< float >, 2 > & | handKeypoints,
|  | const float | scaleInputToOutput
| ) |  |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/hand/handRenderer.hpp